For the complete documentation index, see llms.txt.

Orders
GET/api/orders/shipments

List Orders (Printed or Unmanifested)

Get recently printed or unmanifested orders

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/shipments?status=recently_printed

Details

Get recently printed or unmanifested orders

Request Parameters

Parameter Description Example Value Accepted Values
since_created_date (optional) Show shipments created after date in UTC (date-time in RFC3339 format) 2024-05-27T06:00:00.000Z
status The status of the shipments to return recently_printed recently_printed, unmanifested
limit (optional) Amount of results (default: 50) (maximum: 250) 50 1, 2, 3, ..., 250
page (optional) Page to show (default: 1) 1 1, 2, 3, ...

List Orders (Printed or Unmanifested) Response

Attribute Type Description
orders list of orders List of orders (Shipments Order Model)
status string Shipment status: recently_printed or unmanifested
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

List Orders (Printed) (200)
{
    "status":"recently_printed",
    "orders": [
      {
        "order_id": 1020304051,
        "order_number": "10001",
        "date": "2020-11-03T08:10:11.4460327Z",
        "name": "John Smith",
        "carrier_name": "Australia Post",
        "carrier_service_code": "7B05",
        "tracking_numbers": [
          "QQQ001156301000960302"
        ],
        "country": "Australia"
      }
    ],
    "total_pages": 1,
    "success": true 
}

Related endpoints